package jp.co.atmarkit.aws.s3.core {
import mx.core.IMXMLObject;
import mx.core.UIComponent;
import mx.events.FlexEvent;


/**
 * Actionの基盤クラス
 */
public class Action implements IMXMLObject {

//--------------------------------------
//  Properties
//--------------------------------------

    /** MXMLファイルを参照するクラス */
    private var _document:UIComponent;

    /** MXMLファイル上で指定されたid */
    private var _id:String;

    /** @private */
    public final function get document():UIComponent {
        return _document;
    }

    /** @private */
    public final function get id():String {
        return _id;
    }

//--------------------------------------
//  Constructor
//--------------------------------------

	/**
	 * Action オブジェクトを作成します。
	 */
    public function Action() {
        super();
    }

//--------------------------------------
//  Init
//--------------------------------------
    
    /**
     * 内部の初期化処理です。
     */
    public function initialized(document:Object, id:String):void {
        _document = document as UIComponent;
        _id = id;
        
        _document.addEventListener(FlexEvent.CREATION_COMPLETE, onCreationCompleteHandler, false, 0, true);
    }

    /**
     * 初期化処理
     * 
     * @param event FlexEvent
     */
    protected function onCreationCompleteHandler(event:FlexEvent):void {
        
    }
}
}